/********************************************************************
 * Simulink Target for Real-Time Linux (ST-RTL)                     *
 *                                                                  *
 * Author:       Raul Murillo Garcia <r.murillogarcia@gcal.ac.uk>   *
 * Last review:  30 August 2002                                     *
 *                                                                  *
 * Driver header for the data acquistion card CIO-DAS08/JR-AO,      *
 * of Measurement Computing.                                        *
 *                                                                  * 
 * This program is free software; you can redistribute it and/or    *
 * modify it under the terms of the GNU General Public License      *
 *                                                                  *
 ********************************************************************/

#define DAS08JRAO_NAME          "ciodas08jrao"
#define DAS08JRAO_SIZE          (8)
#define ANALOG_IN_LSB           (0)
#define ANALOG_IN_MSB           (1)
#define ANALOG_IN_START         (1)
#define ANALOG_IN_CRTL          (2)
#define ANALOG_IN_CHANNEL       (2)
#define DIGITAL_IO              (3)
#define ANALOG_OUT_LSB0         (4)
#define ANALOG_OUT_MSB0         (5)
#define ANALOG_OUT_LSB1         (6)
#define ANALOG_OUT_MSB1         (7)
#define AD_DELAY                25  /* microseconds */

extern void das08jrao_write(int channel, real_T value);
extern void das08jrao_read(int channel, real_T *value);
extern int  das08jrao_init(void);
extern void das08jrao_close(void);
