/*
 * Copyright 1994-2002 The MathWorks, Inc.
 *
 * File: ext_svr.h     $Revision: 1.19 $
 *
 * Abstract:
 *	Function prototypes for The MathWorks provided TCP socket based
 *	external mode implementation.
 */

#ifndef __EXT_SVR__
#define __EXT_SVR__

#include "ext_share.h"
extern void      SendTerminatingMessage(void);
extern void      SendDataFree(void);
extern int_T     SendDataAlloc(void);
extern int_T     SendDataBuffAlloc(void);
extern void      SendDataBuffFree(void);
extern boolean_T ProcessConnectMsg(int_T tmpBufSize);
extern boolean_T rt_ExtModeInit(void);
extern boolean_T rt_MsgServerWork(void);
extern boolean_T rt_UploadServerWork(void);
extern boolean_T rt_ExtModeShutdown(void);

#ifndef VXWORKS
extern void rt_ExtModeSleep(
    long sec,   /* number of seconds to wait       */
    long usec); /* number of micro seconds to wait */
#else
extern boolean_T rt_UploadServer(void);
extern boolean_T rt_MsgServer(RTWExtModeInfo *ei,
                              boolean_T       *stopReq);
extern void rt_SetPortInExtUD(const int_T port);
#endif

extern boolean_T ExtWaitForStartMsg(void);
void rtExtModeWaitForStartMsg(void);

#endif /* __EXT_SVR__ */

/* [EOF] ext_svr.h */
