/*
 * Copyright 1994-2002 The MathWorks, Inc.
 *
 * File: ext_work.h     $Revision: 1.6 $
 *
 * Abstract:
 *   
 */

#ifndef __EXT_WORK_OBJECT__
#define __EXT_WORK_OBJECT__

#ifdef EXT_MODE

#ifdef VXWORKS
/*VxWorks headers*/
#include <vxWorks.h>
#include <taskLib.h>
#include <sysLib.h>
#include <semLib.h>
#include <rebootLib.h>
#include <logLib.h>

#include "rtmodel.h"
extern void rtExtModeTornadoStartup(RTWExtModeInfo *ei,
                                    boolean_T      *stopReqPtr,
                                    int_T          priority,
                                    int32_T        stack_size,
                                    SEM_ID         startStopSem);
extern void rtExtModeTornadoCleanup(void);
extern void rtExtModeTornadoSetPortInExtUD(const int_T port);
#else
extern void rtExtModePauseIfNeeded(RTWExtModeInfo  *ei,
                                   boolean_T       *stopReqPtr);
extern void rtExtModeWaitForStartMsg(RTWExtModeInfo  *ei,
                                     boolean_T       *stopReqPtr);
#endif

extern void rtExtModeOneStep(RTWExtModeInfo  *ei,
                             boolean_T       *stopReqPtr);
extern void rtExtModeCheckEndTrigger(void);
extern void rtExtModeUploadCheckTrigger(void);
extern void rtExtModeUpload(int_T tid, real_T taskTime);
extern void rtExtModeParseArgs(int_T        argc, 
                               const char_T *argv[],
                               real_T       *rtmFinal);
extern void rtERTExtModeParseArgs(int_T        argc, 
                                  const char_T *argv[],
                                  real_T       *rtmFinal);
extern void rtExtModeCheckInit(void);
extern void rtExtModeShutdown(void);
extern void rtERTExtModeSetTFinal(real_T *rtmFinalTime);

#else

#ifdef VXWORKS
#define rtExtModeTornadoStartup(ei,
                                stopReqPtr,
                                priority,
                                stack_size,
                                startStopSem) /* do nothing */
#define rtExtModeTornadoCleanup(); /* do nothing */
#define rtExtModeTornadoSetPortInExtUD(port); /* do nothing */
#else
#define rtExtModePauseIfNeeded(ei,sr) /* do nothing */
#define rtExtModeWaitForStartMsg(ei,sr) /* do nothing */
#endif

#define rtExtModeOneStep(ei,sr) /* do nothing */
#define rtExtModeCheckEndTrigger() /* do nothing */
#define rtExtModeUploadCheckTrigger() /* do nothing */
#define rtExtModeUpload(t,ttime) /* do nothing */
#define rtExtModeParseArgs(argc, argv, tf) /* do nothing */
#define rtERTExtModeParseArgs(argc, argv, tf) /* do nothing */
#define rtExtModeCheckInit() /* do nothing */
#define rtExtModeShutdown() /* do nothing */
#define rtERTExtModeSetTFinal(tf) /* do nothing */

#endif

#endif /* __EXT_WORK_OBJECT__ */
